# Hooks for Custom Scripts

Server administrators can make WP Toolkit run custom scripts via hooks after performing certain actions. 

Before using these hooks, make sure you have enabled this feature by adding `exposeEventsFeature = true` to `config.ini`.

After the feature is enabled, prepare your script and put it under a specific name corresponding to the desired action in the `%var_dir%/user-hooks` directory (usually it's `usr/local/cpanel/3rdparty/wp-toolkit/var/user-hooks`). You can have one script running for each action.

## Supported actions & their hooks:

WP Toolkit will run the following scripts, if it finds them:

- `./site-installation-completed` will be run after WP Toolkit finishes installing and configuring a WordPress site. This script will run with the following arguments: `--instance-id=1 /absolute/path/to/wordpress`
- `./plugin-installation-completed` will be run after WP Toolkit finishes installing any plugin (including plugins installed via sets). This script will run with the following arguments: `--instance-id=1 --plugin-slug=slug /absolute/path/to/wordpress`
- `./theme-installation-completed` will be run after WP Toolkit finishes installing any theme (including themes installed via sets). This script will run with the following arguments: `--instance-id=1 --theme-slug=slug /absolute/path/to/wordpress`
- `./set-installation-completed` will be run after WP Toolkit finishes installing any set. This script will run with the following arguments: `--instance-id=1 --set-id=1 /absolute/path/to/wordpress`
