<?php
// Copyright 1999-2024. WebPros International GmbH. All rights reserved.

declare(strict_types=1);

namespace BackgroundTasks;

use BackgroundTasks\DataStorage\TaskDataStorageInterface;
use BackgroundTasks\Step\RollbackableStepInterface;

interface RollbackableTaskInterface extends ComplexTaskInterface
{
    /**
     * @param TaskDataStorageInterface $taskData
     * @return RollbackableStepInterface[]
     */
    public function getSteps(TaskDataStorageInterface $taskData);

    public function onRollback(TaskDataStorageInterface $taskData): void;

    public function getRollbackMessage(TaskDataStorageInterface $taskData): string;
}
